--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: dynamic
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Thor::Task
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: formatted_usage
- !ruby/object:RI::MethodSummary 
  name: full_opts
- !ruby/object:RI::MethodSummary 
  name: namespace
- !ruby/object:RI::MethodSummary 
  name: opts
- !ruby/object:RI::MethodSummary 
  name: parse
- !ruby/object:RI::MethodSummary 
  name: parse_args
- !ruby/object:RI::MethodSummary 
  name: run
- !ruby/object:RI::MethodSummary 
  name: with_klass
name: Task
superclass: Struct.new(:meth, :description, :usage, :opts, :klass)
